• Post Reply Bookmark Topic Watch Topic
  • New Topic
programming forums Java Mobile Certification Databases Caching Books Engineering Micro Controllers OS Languages Paradigms IDEs Build Tools Frameworks Application Servers Open Source This Site Careers Other all forums
this forum made possible by our volunteer staff, including ...
Marshals:
  • Campbell Ritchie
  • Liutauras Vilda
  • Tim Cooke
  • Jeanne Boyarsky
  • Bear Bibeault
Sheriffs:
  • Knute Snortum
  • paul wheaton
  • Devaka Cooray
Saloon Keepers:
  • Tim Moores
  • Stephan van Hulst
  • Ron McLeod
  • Piet Souris
  • Ganesh Patekar
Bartenders:
  • Tim Holloway
  • Carey Brown
  • salvin francis

Has anyone gotten Tomcat 5.5.X to work on OS X?

 
Ranch Hand
Posts: 30
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Has anyone gotten Tomcat 5.5.X to work on OS X? I have installed it, chmod'd the files, and set the environment variables. When I start Tomcat, it lists the environment variables and does not give any error messages. However, when I try to view http://localhost:8080 from my web browser, It can not find the host. When I shutdown Tomcat, I receive a message stating that Tomcat 5 is designed for J2SE 5.0 and I need to install it or a compatability pack from the Tomcat site. Is this why Tomcat is not working?
Can anyone tell me how to install j2se 5.0 on OS X? I thought this won't come out until tiger is released? Or, does anyone have a link to and instructions on how to install this 'compatability pack'?
I am studying the Head First JSP book and would like to use Tomcat 5 if possible.
Thanks in advance!
 
Greenhorn
Posts: 7
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Tomcat 5.5 requires j2se 5.0. The newer version of j2se is not yet available for os x. I tried tomcat 5.5 on j2se 1.4.2, it did'nt work. I am not sure when its going to come out.I have'nt came across any problem running example in HFS book on os x so far.
 
Greenhorn
Posts: 1
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
I am running Tomcat 5.5.7 on Mac OS X 10.3.8 as I type this so it will work. You must make sure you download and install the compatability patch for Java 1.4.2.

latest version: jakarta-tomcat-5.5.7-compat.zip

Next, you must make sure the shell scripts in the bin directory are executable.
cd $CATALINA_HOME/bin; chmod ug+x *.sh

After that it should work fine.
 
I got this tall by not having enough crisco in my diet as a kid. This ad looks like it had plenty of shortening:
Java file APIs (DOC, XLS, PDF, and many more)
https://products.aspose.com/total/java
  • Post Reply Bookmark Topic Watch Topic
  • New Topic
Boost this thread!